pcl::io::openni2::OpenNI2DeviceInfo Struct Reference

`#include <pcl/io/openni2/openni2_device_info.h>`

## Public Attributes

std::string | uri_
std::string | vendor_
std::string | name_
uint16_t | vendor_id_
uint16_t | product_id_

## Detailed Description

Definition at line 46 of file openni2_device_info.h.

## Member Data Documentation

std::string pcl::io::openni2::OpenNI2DeviceInfo::name_

Definition at line 50 of file openni2_device_info.h.

uint16_t pcl::io::openni2::OpenNI2DeviceInfo::product_id_

Definition at line 52 of file openni2_device_info.h.

std::string pcl::io::openni2::OpenNI2DeviceInfo::uri_

Definition at line 48 of file openni2_device_info.h.

std::string pcl::io::openni2::OpenNI2DeviceInfo::vendor_

Definition at line 49 of file openni2_device_info.h.

uint16_t pcl::io::openni2::OpenNI2DeviceInfo::vendor_id_

Definition at line 51 of file openni2_device_info.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/io/include/pcl/io/openni2/openni2_device_info.h